package fr.titionfire.ffsaf.rest.exception;

import jakarta.ws.rs.core.Response;

import java.io.Serial;

public class DForbiddenException extends DetailException {
    @Serial
    private static final long serialVersionUID = 8408920537659758038L;

    public DForbiddenException() {
        this("Accès a la ressource interdite");
    }

    public DForbiddenException(String message) {
        super(Response.Status.FORBIDDEN, message);
    }
}
